@extends('layouts.master')

@section('title') Chartjs @endsection

@section('content')

     @component('common-components.breadcrumb')
         @slot('title') Chartjs  @endslot
         @slot('li_1') Charts  @endslot
     @endcomponent


<div class="row">
    <div class="col-lg-6">
        <div class="card">
            <div class="card-body">

                <h4 class="card-title mb-4">Line Chart</h4>

                <div class="row text-center">
                    <div class="col-4">
                        <h5 class="mb-0">86541</h5>
                        <p class="text-muted text-truncate">Activated</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">2541</h5>
                        <p class="text-muted text-truncate">Pending</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">102030</h5>
                        <p class="text-muted text-truncate">Deactivated</p>
                    </div>
                </div>

                <canvas id="lineChart" height="300"></canvas>

            </div>
        </div>
    </div>
    <!-- end col -->

    <div class="col-lg-6">
        <div class="card">
            <div class="card-body">

                <h4 class="card-title mb-4">Bar Chart</h4>

                <div class="row text-center">
                    <div class="col-4">
                        <h5 class="mb-0">2541</h5>
                        <p class="text-muted text-truncate">Activated</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">84845</h5>
                        <p class="text-muted text-truncate">Pending</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">12001</h5>
                        <p class="text-muted text-truncate">Deactivated</p>
                    </div>
                </div>

                <canvas id="bar" height="300"></canvas>

            </div>
        </div>
    </div>
    <!-- end col -->
</div>
<!-- end row -->

<div class="row">
    <div class="col-lg-6">
        <div class="card">
            <div class="card-body">

                <h4 class="card-title mb-4">Pie Chart</h4>

                <div class="row text-center">
                    <div class="col-4">
                        <h5 class="mb-0">2536</h5>
                        <p class="text-muted text-truncate">Activated</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">69421</h5>
                        <p class="text-muted text-truncate">Pending</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">89854</h5>
                        <p class="text-muted text-truncate">Deactivated</p>
                    </div>
                </div>

                <canvas id="pie" height="260"></canvas>

            </div>
        </div>
    </div>
    <!-- end col -->

    <div class="col-lg-6">
        <div class="card">
            <div class="card-body">

                <h4 class="card-title mb-4">Donut Chart</h4>

                <div class="row text-center">
                    <div class="col-4">
                        <h5 class="mb-0">9595</h5>
                        <p class="text-muted text-truncate">Activated</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">36524</h5>
                        <p class="text-muted text-truncate">Pending</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">62541</h5>
                        <p class="text-muted text-truncate">Deactivated</p>
                    </div>
                </div>

                <canvas id="doughnut" height="260"></canvas>

            </div>
        </div>
    </div>
    <!-- end col -->
</div>
<!-- end row -->

<div class="row">
    <div class="col-lg-6">
        <div class="card">
            <div class="card-body">

                <h4 class="card-title mb-4">Polar Chart</h4>

                <div class="row text-center">
                    <div class="col-4">
                        <h5 class="mb-0">4852</h5>
                        <p class="text-muted text-truncate">Activated</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">3652</h5>
                        <p class="text-muted text-truncate">Pending</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">85412</h5>
                        <p class="text-muted text-truncate">Deactivated</p>
                    </div>
                </div>

                <canvas id="polarArea" height="300"> </canvas>

            </div>
        </div>
    </div>
    <!-- end col -->

    <div class="col-lg-6">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title mb-4">Radar Chart</h4>

                <div class="row text-center">
                    <div class="col-4">
                        <h5 class="mb-0">694</h5>
                        <p class="text-muted text-truncate">Activated</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">55210</h5>
                        <p class="text-muted text-truncate">Pending</p>
                    </div>
                    <div class="col-4">
                        <h5 class="mb-0">489498</h5>
                        <p class="text-muted text-truncate">Deactivated</p>
                    </div>
                </div>

                <canvas id="radar" height="300"></canvas>
            </div>
        </div>
    </div>
    <!-- end col -->
    @endsection

    @section('script')

    <!-- Chart JS -->
    <script src="{{URL::asset('/libs/chart-js/chart-js.min.js')}}"></script>
    <script src="{{URL::asset('/js/pages/chartjs.init.js')}}"></script>

    @endsection